Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 605266 - lxqt-base/lxqt-meta-0.13.0 version bump
Summary: lxqt-base/lxqt-meta-0.13.0 version bump
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal with 7 votes (vote)
Assignee: LxQt maintainers
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 661548 661862
  Show dependency tree
 
Reported: 2017-01-10 13:39 UTC by Denis I. Polukarov
Modified: 2018-08-11 17:04 UTC (History)
15 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Denis I. Polukarov 2017-01-10 13:39:45 UTC
LXQt 0.11.1 was released on January 1.
Comment 1 Paolo Pedroni 2017-03-27 11:30:51 UTC
And there are further updates to lxqt-common-0.11.2 and pcmanfm-qt-0-11.3
Comment 2 Yuriy 2017-07-13 08:58:55 UTC
Bump
Comment 3 Håvard Wall 2017-10-27 13:11:22 UTC
Version 0.12.0 is out. A version bump would be appreciated!
Comment 4 Tolga Dalman 2017-11-02 22:02:55 UTC
+1

Bumping to 0.12 also fixes #633926 and #634222.
Comment 5 Andy Kittner 2017-11-16 21:25:13 UTC
(In reply to Tolga Dalman from comment #4)
> +1
> 
> Bumping to 0.12 also fixes #633926 and #634222.

In case anyone watching this bug wants to give it a try (and in case the devs haven't seen it yet, since the only comments there are from qa-bot) I've been using the builds from this PR:
https://github.com/gentoo/gentoo/pull/5806

Worked like a charm for me

Apart from that I've seen live-builds return to the qt overlay, so hopefully that implies that lxqt will receive more gentoo-love soon ;)
Comment 6 kalle 2017-12-10 09:08:03 UTC
+1
Comment 7 younky.yang 2017-12-12 05:12:22 UTC
waiting for this months. and hope it can be merged in the mainstream soon.
Comment 8 Thomas Capricelli 2018-01-11 23:23:56 UTC
We all do, hope for this to get merged
Comment 9 José María Fernández González 2018-03-18 16:50:35 UTC
As I have explained here:

https://github.com/gentoo/gentoo/pull/5806#issuecomment-374008132

I have found a fixable, circular dependency
Comment 10 João Paulo Teixeira 2018-03-28 13:35:09 UTC
qt-5.9 has just broke lxqt-0.11

Icons are not displayed and lxqt-panel causes segfaults like this

lxqt-panel[7290]: segfault at 7f71e8ba23b3 ip 00007f71eb5d0990 sp 00007ffff49049e0 error 7 in libQt5Gui.so.5.9.4[7f71eb476000+48d000]

lxqt should be bumped ASAP
Comment 11 Zdenek Sojka 2018-03-29 20:55:02 UTC
Is lxqt-meta-0.12.0 available for testing in some overlay in layman?
Comment 12 kalle 2018-03-30 18:17:39 UTC
I use the ebuilds from 

https://github.com/gentoo/gentoo/pull/7026 

and it work fine for me!
Comment 13 Zdenek Sojka 2018-04-01 17:27:36 UTC
(In reply to kalle from comment #12)
> I use the ebuilds from 
> 
> https://github.com/gentoo/gentoo/pull/7026 
> 
> and it work fine for me!

Thanks, I tried those ebuilds and after fixing a circular dependency by:
+++ /usr/portage/local/extra/x11-libs/libfm-qt/libfm-qt-0.12.0.ebuild   2018-04-01 18:49:00.652350594 +0200
@@ -32,7 +32,7 @@ RDEPEND="
        media-libs/libexif:=
        >=x11-libs/libfm-1.2.0:=
        x11-libs/libxcb:=
-       =x11-misc/pcmanfm-qt-${MY_PV}
+       !<x11-misc/pcmanfm-qt-0.12
 "
 DEPEND="${RDEPEND}
        dev-qt/linguist-tools:5

I upgraded my system to lxqt-meta-0.12; now I unmasked qt-5.9* and am (re)doing the qt upgrade. I hope the problems with the pull request will be solved soon.
Comment 14 Zdenek Sojka 2018-04-02 18:39:14 UTC
(In reply to Zdenek Sojka from comment #13)
> (In reply to kalle from comment #12)
> > I use the ebuilds from 
> > 
> > https://github.com/gentoo/gentoo/pull/7026 
> > 
> > and it work fine for me!
> 

...

> 
> I upgraded my system to lxqt-meta-0.12; now I unmasked qt-5.9* and am
> (re)doing the qt upgrade. I hope the problems with the pull request will be
> solved soon.

I did full system update (emerge -uNDv world --with-bdeps=y), then removed lxqt-meta, did depclean, and reinstalled lxqt-meta-0.12 (about 35 packages in dependencis), but I am still getting the segfaults described in PR633926 :

[   22.423207] traps: lxqt-panel[3979] general protection ip:7f59c43f6bb9 sp:7fff51e82278 error:0
[   22.423211]  in libQt5Gui.so.5.9.4[7f59c429c000+4b8000]
[   22.522085] traps: lxqt-panel[3986] general protection ip:7f9573354bb9 sp:7ffeb1f74048 error:0
[   22.522090]  in libQt5Gui.so.5.9.4[7f95731fa000+4b8000]
[   22.544546] traps: lxqt-session[3874] general protection ip:7fe8b929fbb9 sp:7ffc3e2e47d8 error:0
[   22.544551]  in libQt5Gui.so.5.9.4[7fe8b9145000+4b8000]
[   22.562925] pcmanfm-qt[3908]: segfault at 8 ip 00007f4a8471b491 sp 00007ffef8214db0 error 4 in libQt5XcbQpa.so.5.9.4[7f4a846e0000+108000]

even when using a clean user account.
Comment 15 kalle 2018-04-03 07:56:54 UTC
(In reply to Zdenek Sojka from comment #14)
> (In reply to Zdenek Sojka from comment #13)
> > (In reply to kalle from comment #12)
> > > I use the ebuilds from 
> > > 
> > > https://github.com/gentoo/gentoo/pull/7026 
> > > 
> > > and it work fine for me!
> > 
> 
> ...
> 
> > 
> > I upgraded my system to lxqt-meta-0.12; now I unmasked qt-5.9* and am
> > (re)doing the qt upgrade. I hope the problems with the pull request will be
> > solved soon.
> 
> I did full system update (emerge -uNDv world --with-bdeps=y), then removed
> lxqt-meta, did depclean, and reinstalled lxqt-meta-0.12 (about 35 packages
> in dependencis), but I am still getting the segfaults described in PR633926 :
> 
> [   22.423207] traps: lxqt-panel[3979] general protection ip:7f59c43f6bb9
> sp:7fff51e82278 error:0
> [   22.423211]  in libQt5Gui.so.5.9.4[7f59c429c000+4b8000]
> [   22.522085] traps: lxqt-panel[3986] general protection ip:7f9573354bb9
> sp:7ffeb1f74048 error:0
> [   22.522090]  in libQt5Gui.so.5.9.4[7f95731fa000+4b8000]
> [   22.544546] traps: lxqt-session[3874] general protection ip:7fe8b929fbb9
> sp:7ffc3e2e47d8 error:0
> [   22.544551]  in libQt5Gui.so.5.9.4[7fe8b9145000+4b8000]
> [   22.562925] pcmanfm-qt[3908]: segfault at 8 ip 00007f4a8471b491 sp
> 00007ffef8214db0 error 4 in libQt5XcbQpa.so.5.9.4[7f4a846e0000+108000]
> 
> even when using a clean user account.

I don't have this problems. Do you install all helper- or build-tools? I have changed the xdm, but today I forget why. My favorit now are sddm, the old was slim. Or disable some plugins in lxqt-panel.
Comment 16 Zdenek Sojka 2018-04-08 11:32:32 UTC
(In reply to kalle from comment #15)
> (In reply to Zdenek Sojka from comment #14)
> > (In reply to Zdenek Sojka from comment #13)
> > > (In reply to kalle from comment #12)
> > > > I use the ebuilds from 
> > > > 
> > > > https://github.com/gentoo/gentoo/pull/7026 
> > > > 
> > > > and it work fine for me!
> > > 
> > 
> > ...
> > 
> > > 
> > > I upgraded my system to lxqt-meta-0.12; now I unmasked qt-5.9* and am
> > > (re)doing the qt upgrade. I hope the problems with the pull request will be
> > > solved soon.
> > 
> > I did full system update (emerge -uNDv world --with-bdeps=y), then removed
> > lxqt-meta, did depclean, and reinstalled lxqt-meta-0.12 (about 35 packages
> > in dependencis), but I am still getting the segfaults described in PR633926 :
> >
...
> 
> I don't have this problems. Do you install all helper- or build-tools? I
> have changed the xdm, but today I forget why. My favorit now are sddm, the
> old was slim. Or disable some plugins in lxqt-panel.

I again removed lxqt-base, did depclean, removed the ~amd64 keywords from all lxqt packages installed kde-plasma/plasma-desktop, did depclean...
but then I notices that some lxqt packages are still in the system:
$ emerge -C liblxqt lxqt-common lxqt-notificationd lxqt-session
because virtual/notification-daemon was depending on them.

I removed all of those, did full system update to reinstall missing packages, added ~amd64 keywords to packages from the overlay, and reinstalled lxqt-meta -> now I have lxqt-0.12 installed and everything works correctly.
The problem probably was that "liblxqt lxqt-common lxqt-notificationd lxqt-session" were not removed while I was doing the first lxqt update, because virtual/notification-daemon was depending on them.
Comment 17 Zdenek Sojka 2018-05-23 14:25:17 UTC
Note lxqt-0.13 has been released:
https://lxqt.org/release/2018/05/21/lxqt-0130/
Comment 18 Larry the Git Cow gentoo-dev 2018-08-11 10:10:07 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c6e7fddb00df80fd8bcef241193be6330ee9fc98

commit c6e7fddb00df80fd8bcef241193be6330ee9fc98
Author:     Jonathan Scruggs <j.scruggs@gmail.com>
AuthorDate: 2018-07-11 15:23:10 +0000
Commit:     Jonathan Scruggs <dracwyrm@gentoo.org>
CommitDate: 2018-08-11 10:09:18 +0000

    lxqt-base/lxqt-meta: version update to 0.13.0
    
    Closes: https://bugs.gentoo.org/605266

 lxqt-base/lxqt-meta/lxqt-meta-0.13.0.ebuild | 58 +++++++++++++++++++++++++++++
 lxqt-base/lxqt-meta/metadata.xml            | 56 +++++++++++++++-------------
 2 files changed, 89 insertions(+), 25 deletions(-)